#! /bin/sh

echo "g++ --version  > tstall.out" > tstall.out
      g++ --version >> tstall.out

make -f makefile

tstinv      > tstinv.out
tstrm       > tstrm.out
tstiv       > tstiv.out
tstkp       > tstkp.out
tsthermi    > tsthermi.out
tstsolve    > tstsolve.out
tsthsort    > tsthsort.out
tstsvd      > tstsvd.out
tstginv     > tstginv.out
tsthquad    > tsthquad.out
tstunsk     > tstunsk.out
tstran      > tstran.out
tstgchi     > tstgchi.out
tstpnorm    > tstpnorm.out
tsterr      > tsterr.out
tstvecrw    > tstvecrw.out
tstedf      > tstedf.out
tstsort     > tstsort.out
tstnls 
tstiran     > tstiran.out
tstpoly     > tstpoly.out
tstfmt      > tstfmt.out
tstgamln    > tstgamln.out
tstls       > tstls.out
tstnlopt
tstcut      > tstcut.out
tstprd      > tstprd.out
tstcpy      > tstcpy.out
tstvsb      > tstvsb.out
tsteigen    > tsteigen.out
tstqreg     > tstqreg.out
tstgaussq   > tstgaussq.out
tstnlroot   > tstnlroot.out
tstmulti    > tstmulti.out
tstcsv      > tstcsv.out
tstgemv     > tstgemv.out
tstew       > tstew.out
tstfutil    > tstfutil.out
tstjulian   > tstjulian.out
tstcholesky > tstcholesky.out
tstsw       > tstsw.out
tstvcl      > tstvcl.out
tstgmm      > tstgmm.out
tstpf       > tstpf.out
tstmvn      > tstmvn.out
tstfinite   > tstfinite.out
tstrb2      > tstrb2.out
tstsimp     > tstsimp.out
tstvarcov   > tstvarcov.out
tstvar      > tstvar.out
tsttab      > tsttab.out
tstwish     > tstwish.out
tstdcf      > tstdcf.out
tstmvnq     > tstmvnq.out
tstdijk     > tstdijk.out
tstsphere   > tstsphere.out
tstball     > tstball.out
tsthac      > tsthac.out
tstbump     > tstbump.out
tstnck      > tstnck.out

make -f makefile veryclean

echo "diff tstinv.gpp      tstinv.out      >> tstall.out" >> tstall.out
      diff tstinv.gpp      tstinv.out      >> tstall.out
echo "diff tstrm.gpp       tstrm.out       >> tstall.out" >> tstall.out
      diff tstrm.gpp       tstrm.out       >> tstall.out
echo "diff tstiv.gpp       tstiv.out       >> tstall.out" >> tstall.out
      diff tstiv.gpp       tstiv.out       >> tstall.out
echo "diff tstkp.gpp       tstkp.out       >> tstall.out" >> tstall.out
      diff tstkp.gpp       tstkp.out       >> tstall.out
echo "diff tsthermi.gpp    tsthermi.out    >> tstall.out" >> tstall.out
      diff tsthermi.gpp    tsthermi.out    >> tstall.out
echo "diff tstsolve.gpp    tstsolve.out    >> tstall.out" >> tstall.out
      diff tstsolve.gpp    tstsolve.out    >> tstall.out
echo "diff tsthsort.gpp    tsthsort.out    >> tstall.out" >> tstall.out
      diff tsthsort.gpp    tsthsort.out    >> tstall.out
echo "diff tstsvd.gpp      tstsvd.out      >> tstall.out" >> tstall.out
      diff tstsvd.gpp      tstsvd.out      >> tstall.out
echo "diff tstginv.gpp     tstginv.out     >> tstall.out" >> tstall.out
      diff tstginv.gpp     tstginv.out     >> tstall.out
echo "diff tsthquad.gpp    tsthquad.out    >> tstall.out" >> tstall.out
      diff tsthquad.gpp    tsthquad.out    >> tstall.out
echo "diff tstunsk.gpp     tstunsk.out     >> tstall.out" >> tstall.out
      diff tstunsk.gpp     tstunsk.out     >> tstall.out
echo "diff tstran.gpp      tstran.out      >> tstall.out" >> tstall.out
      diff tstran.gpp      tstran.out      >> tstall.out
echo "diff tstgchi.gpp     tstgchi.out     >> tstall.out" >> tstall.out
      diff tstgchi.gpp     tstgchi.out     >> tstall.out
echo "diff tstpnorm.gpp    tstpnorm.out    >> tstall.out" >> tstall.out
      diff tstpnorm.gpp    tstpnorm.out    >> tstall.out
echo "diff tsterr.gpp      tsterr.out      >> tstall.out" >> tstall.out
      diff tsterr.gpp      tsterr.out      >> tstall.out
echo "diff tstvecrw.gpp    tstvecrw.out    >> tstall.out" >> tstall.out
      diff tstvecrw.gpp    tstvecrw.out    >> tstall.out
echo "diff tstedf.gpp      tstedf.out      >> tstall.out" >> tstall.out
      diff tstedf.gpp      tstedf.out      >> tstall.out
echo "diff tstsort.gpp     tstsort.out     >> tstall.out" >> tstall.out
      diff tstsort.gpp     tstsort.out     >> tstall.out
echo "diff tstnls.gpp      tstnls.out      >> tstall.out" >> tstall.out
      diff tstnls.gpp      tstnls.out      >> tstall.out
echo "diff tstiran.gpp     tstiran.out     >> tstall.out" >> tstall.out
      diff tstiran.gpp     tstiran.out     >> tstall.out
echo "diff tstpoly.gpp     tstpoly.out     >> tstall.out" >> tstall.out
      diff tstpoly.gpp     tstpoly.out     >> tstall.out
echo "diff tstfmt.gpp      tstfmt.out      >> tstall.out" >> tstall.out
      diff tstfmt.gpp      tstfmt.out      >> tstall.out
echo "diff tstgamln.gpp    tstgamln.out    >> tstall.out" >> tstall.out
      diff tstgamln.gpp    tstgamln.out    >> tstall.out
echo "diff tstls.gpp       tstls.out       >> tstall.out" >> tstall.out
      diff tstls.gpp       tstls.out       >> tstall.out
echo "diff tstnlopt.gpp    tstnlopt.out    >> tstall.out" >> tstall.out
      diff tstnlopt.gpp    tstnlopt.out    >> tstall.out
echo "diff tstcut.gpp      tstcut.out      >> tstall.out" >> tstall.out
      diff tstcut.gpp      tstcut.out      >> tstall.out
echo "diff tstprd.gpp      tstprd.out      >> tstall.out" >> tstall.out
      diff tstprd.gpp      tstprd.out      >> tstall.out
echo "diff tstcpy.gpp      tstcpy.out      >> tstall.out" >> tstall.out
      diff tstcpy.gpp      tstcpy.out      >> tstall.out
echo "diff tstvsb.gpp      tstvsb.out      >> tstall.out" >> tstall.out
      diff tstvsb.gpp      tstvsb.out      >> tstall.out
echo "diff tsteigen.gpp    tsteigen.out    >> tstall.out" >> tstall.out
      diff tsteigen.gpp    tsteigen.out    >> tstall.out
echo "diff tstqreg.gpp     tstqreg.out     >> tstall.out" >> tstall.out
      diff tstqreg.gpp     tstqreg.out     >> tstall.out
echo "diff tstgaussq.gpp   tstgaussq.out   >> tstall.out" >> tstall.out
      diff tstgaussq.gpp   tstgaussq.out   >> tstall.out
echo "diff tstnlroot.gpp   tstnlroot.out   >> tstall.out" >> tstall.out
      diff tstnlroot.gpp   tstnlroot.out   >> tstall.out
echo "diff tstmulti.gpp    tstmulti.out    >> tstall.out" >> tstall.out
      diff tstmulti.gpp    tstmulti.out    >> tstall.out
echo "diff tstcsv.gpp      tstcsv.out      >> tstall.out" >> tstall.out
      diff tstcsv.gpp      tstcsv.out      >> tstall.out
echo "diff tstgemv.gpp     tstgemv.out     >> tstall.out" >> tstall.out
      diff tstgemv.gpp     tstgemv.out     >> tstall.out
echo "diff tstew.gpp       tstew.out       >> tstall.out" >> tstall.out
      diff tstew.gpp       tstew.out       >> tstall.out
echo "diff tstfutil.gpp    tstfutil.out    >> tstall.out" >> tstall.out
      diff tstfutil.gpp    tstfutil.out    >> tstall.out
echo "diff tstjulian.gpp   tstjulian.out   >> tstall.out" >> tstall.out
      diff tstjulian.gpp   tstjulian.out   >> tstall.out
echo "diff tstcholesky.gpp tstcholesky.out >> tstall.out" >> tstall.out
      diff tstcholesky.gpp tstcholesky.out >> tstall.out
echo "diff tstsw.gpp       tstsw.out       >> tstall.out" >> tstall.out
      diff tstsw.gpp       tstsw.out       >> tstall.out
echo "diff tstvcl.gpp      tstvcl.out      >> tstall.out" >> tstall.out
      diff tstvcl.gpp      tstvcl.out      >> tstall.out
echo "diff tstgmm.gpp      tstgmm.out      >> tstall.out" >> tstall.out
      diff tstgmm.gpp      tstgmm.out      >> tstall.out
echo "diff tstpf.gpp       tstpf.out       >> tstall.out" >> tstall.out
      diff tstpf.gpp       tstpf.out       >> tstall.out
echo "diff tstmvn.gpp      tstmvn.out      >> tstall.out" >> tstall.out
      diff tstmvn.gpp      tstmvn.out      >> tstall.out
echo "diff tstfinite.gpp   tstfinite.out   >> tstall.out" >> tstall.out
      diff tstfinite.gpp   tstfinite.out   >> tstall.out
echo "diff tstrb2.gpp      tstrb2.out      >> tstall.out" >> tstall.out
      diff tstrb2.gpp      tstrb2.out      >> tstall.out
echo "diff tstsimp.gpp     tstsimp.out     >> tstall.out" >> tstall.out
      diff tstsimp.gpp     tstsimp.out     >> tstall.out
echo "diff tstvarcov.gpp   tstvarcov.out   >> tstall.out" >> tstall.out
      diff tstvarcov.gpp   tstvarcov.out   >> tstall.out
echo "diff tstvar.gpp      tstvar.out      >> tstall.out" >> tstall.out
      diff tstvar.gpp      tstvar.out      >> tstall.out
echo "diff tsttab.gpp      tsttab.out      >> tstall.out" >> tstall.out
      diff tsttab.gpp      tsttab.out      >> tstall.out
echo "diff tstintrp.gpp    tstintrp.out    >> tstall.out" >> tstall.out
      diff tstintrp.gpp    tstintrp.out    >> tstall.out
echo "diff tstwish.gpp     tstwish.out     >> tstall.out" >> tstall.out
      diff tstwish.gpp     tstwish.out     >> tstall.out
echo "diff tstdcf.gpp      tstdcf.out      >> tstall.out" >> tstall.out
      diff tstdcf.gpp      tstdcf.out      >> tstall.out
echo "diff tstmvnq.gpp     tstmvnq.out     >> tstall.out" >> tstall.out
      diff tstmvnq.gpp     tstmvnq.out     >> tstall.out
echo "diff tstdijk.gpp     tstdijk.out     >> tstall.out" >> tstall.out
      diff tstdijk.gpp     tstdijk.out     >> tstall.out
echo "diff tstsphere.gpp   tstsphere.out   >> tstall.out" >> tstall.out
      diff tstsphere.gpp   tstsphere.out   >> tstall.out
echo "diff tstball.gpp     tstball.out     >> tstall.out" >> tstall.out
      diff tstball.gpp     tstball.out     >> tstall.out
echo "diff tsthac.gpp      tsthac.out      >> tstall.out" >> tstall.out
      diff tsthac.gpp      tsthac.out      >> tstall.out
echo "diff tstbump.gpp     tstbump.out     >> tstall.out" >> tstall.out
      diff tstbump.gpp     tstbump.out     >> tstall.out
echo "diff tstnck.gpp      tstnck.out      >> tstall.out" >> tstall.out
      diff tstnck.gpp      tstnck.out      >> tstall.out
